          &--L {
            &--showstarboard {
              @include media-max(${mediaMinThresholdShowStarboardL}) {
                grid-template-columns: repeat(1, 1fr);
              }
              @for $i from 0 through 5 {
                @include media-min-to-max(
                  ${mediaMinThresholdShowStarboardL} + $i * ${widthItemLwithSB},
                  ${mediaMinThresholdShowStarboardL} + ($i + 1) * ${widthItemLwithSB}
                ) {
                  grid-template-columns: repeat(2 + $i, ${columnWidth}fr);
                }
              }
              @include media-min(${mediaMinThresholdShowStarboardL} + 6 * ${widthItemLwithSB}) {
                grid-template-columns: repeat(8, ${columnWidth}fr);
              }
            }
            &--hidestarboard {
              @include media-max(${mediaMinThresholdHideStarboardL}) {
                grid-template-columns: repeat(1, 1fr);
              }
              @for $i from 0 through 5 {
                @include media-min-to-max(
                  ${mediaMinThresholdHideStarboardL} + 1px + $i * ${widthItemLnoSB},
                  ${mediaMinThresholdHideStarboardL} + ($i + 1) * ${widthItemLnoSB}
                ) {
                  grid-template-columns: repeat(2 + $i, ${columnWidth}fr);
                }
              }
              @include media-min(${mediaMinThresholdHideStarboardL} + 1px + 6 * ${widthItemLnoSB}) {
                grid-template-columns: repeat(8, ${columnWidth}fr);
              }
            }
          }
          &--M {
            &--showstarboard {
              @include media-max(${mediaMinThresholdShowStarboardM}) {
                grid-template-columns: repeat(2, 1fr);
              }
              @for $i from 0 through 9 {
                @include media-min-to-max(
                  ${mediaMinThresholdShowStarboardM} + 1px + $i * ${widthItemMwithSB},
                  ${mediaMinThresholdShowStarboardM} + ($i + 1) * ${widthItemMwithSB}
                ) {
                  grid-template-columns: repeat(3 + $i, ${columnWidth}fr);
                }
              }
              @include media-min(
                ${mediaMinThresholdShowStarboardM} + 9 * ${widthItemMwithSB} + 1px
              ) {
                grid-template-columns: repeat(12, ${columnWidth}fr);
              }
            }
            &--hidestarboard {
              @include media-max(${mediaMinThresholdHideStarboardM}) {
                grid-template-columns: repeat(2, 1fr);
              }
              @for $i from 0 through 9 {
                @include media-min-to-max(
                  ${mediaMinThresholdHideStarboardM} + 1px + $i * ${widthItemMnoSB},
                  ${mediaMinThresholdHideStarboardM} + ($i + 1) * ${widthItemMnoSB}
                ) {
                  grid-template-columns: repeat(3 + $i, ${columnWidth});
                }
              }
              @include media-min(${mediaMinThresholdHideStarboardM} + 9 * ${widthItemMnoSB} + 1px) {
                grid-template-columns: repeat(12, $columnWidth);
              }
            }
          }

#mpm

# gridbox

# list

# page scrollnav

# presentation view

#form

make sure it doesn't throw an error if currentOption value is incorrect

# multiplepagemodal

+unnest rtgfade
+update flex-direction on n-of-steps change

- getChildrenProps for ddpo
- refactor step styles into buttons
- default buttons to inherit from <Button>
- test for disabled status
- fix disabled tail

* fix selectone/many for MANY options with a scrollable list

- dropdownpopover to contain triggerX/basewidth defaults

* clean up basewidth/optionWidth and triggerX/triggerWidth in ddpo and its users
* dropdownpopover container taking up too much space fix

- rtgdropdown unnest

* clean up selectmany styles
* find a way to handle multiple classes being passed into button - fix on/off postfixes
* polish everything
* get rid of all jsx in favor of inline
* get rid of scss in buttons and see if it works
* decouple rtgdropdown from dropdownpopover
* write all viable dropdown combinations

* add color theme gallery to pick proper dark/light gradients

accordion

- bg color for svg
  ^- optional getProps pattern

* unnest button from div

- @scrollnav
- @detectscroll
- @Accordion
  - vertical
- @ddp
  - write remaining pivots
- @button
  - add and rework
- add @confirmationrequestmodal
- test with disabled up
- clean up styles

  - extra styles option as a scoped jsx stylesheet
  - default styles options as inline styles
